# Version information:
%define name 		amsn
%define version		0.93
%define release		1mdk
%define tls_major	1.5
%define tls_minor	0
%define tls_version	%{tls_major}.%{tls_minor}
%define ftp_version	%(echo %version | sed 's/\\./_/')

Summary:	MSN Messenger clone for Linux
Summary(fr):	Clne MSN Messenger pour Linux
Summary(de):	MSN Messenger-Klon fr Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Instant messaging
URL:		http://amsn.sourceforge.net/
Source:		ftp://ftp.sourceforge.net/pub/sourceforge/amsn/a/am/%{name}-%{ftp_version}.tar.bz2
Source1:	ftp://ftp.sourceforge.net/pub/sourceforge/amsn/a/am/tls%{tls_version}-src.tar.bz2
Source2:	amsn-0.91.startup
Source3:	amsn-icons.tar.bz2
Patch1:		amsn-0.83-login.patch.bz2
BuildRequires:	tcl >= 8.4.2-2mdk, openssl-devel
# For traydock plugin
BuildRequires: imlib-devel
BuildRequires: tk >= 8.4.2
Requires:	tcl >= 8.4.2
Requires:	tk >= 8.4.2
BuildRoot:	%{_tmppath}/buildroot-%{name}-%{version}

%description
This is Tcl/Tk clone that implements the Microsoft Messenger (MSN) for
Unix,Windows, or Macintosh platforms. It supports file transfers,
groups, and many more features. Visit http://amsn.sourceforge.net/ for
details. This is an ongoing project, and it is already going pretty
well.

%description -l fr
amsn est un client Microsoft Messenger (MSN) pour UNIX, Windows et
Macintosh crit en Tcl/Tk.  Il supporte les tranferts de fichiers, les
groupes et beaucoup d'autres possibilits. 
Visitez http://amsn.sourceforge.net/ pour de plus amples dtails.

%description -l de
amsn ist ein Microsoft Messenger (MSN) Client fr UNIX, Windows und
Macintosh, der in Tcl/Tk geschrieben ist. Es untersttzt
Dateibertragungen, Gruppen uvm.
Begeben Sie sich auf http://amsn.sourceforge.net/ um mehr ber dieses
Projekt zu erfahren.

%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup -q -n amsn-%{ftp_version}
# JMD: add tls plugin
tar xjf %{SOURCE1}
tar xjf %{SOURCE3}
#%patch1 -p0

%build
# JMD: build plugins
pushd plugins/traydock
%configure
%make
popd

# JMD: build tls plugin
cd tls%{tls_major} 
%configure --with-ssl-dir=/usr
%make
# JMD: I *hate* broken source code!!!
perl -pi -e "s|\.\.||" pkgIndex.tcl

%install
%{__mkdir_p} "${RPM_BUILD_ROOT}%{_prefix}"

%make \
   	proot="%{_prefix}" \
	prefix="${RPM_BUILD_ROOT}%{_prefix}" \
	version="%{version}" \
        gnomelinks="${RPM_BUILD_ROOT}/etc/X11/applnk/Internet" \
        kdelinks="${RPM_BUILD_ROOT}/usr/share/applnk/Internet" \
	pdatadir="${RPM_BUILD_ROOT}%{_datadir}/pixmaps" \
	install

# JMD: install tls plugin
pushd tls%{tls_major}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/amsn/plugins/tls%{tls_major}
cp libtls%{tls_major}%{tls_minor}.so pkgIndex.tcl tls.tcl \
	$RPM_BUILD_ROOT/%{_datadir}/amsn/plugins/tls%{tls_major}
popd

%{__mkdir_p} "${RPM_BUILD_ROOT}%{_bindir}"
if [ -e ${RPM_BUILD_ROOT}%{_bindir}/amsn ];then rm -f ${RPM_BUILD_ROOT}%{_bindir}/amsn;fi
cat %{SOURCE2} > ${RPM_BUILD_ROOT}%{_bindir}/amsn
chmod 755 "${RPM_BUILD_ROOT}%{_bindir}/amsn"
ln -sf "%{_docdir}/%{name}-%{version}/README" "${RPM_BUILD_ROOT}%{_datadir}/amsn/README"
ln -sf "%{_docdir}/%{name}-%{version}/HELP" "${RPM_BUILD_ROOT}%{_datadir}/amsn/HELP"

# Menu
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}): command="%_bindir/%{name}" needs="X11" \
icon="%{name}.png" section="Networking/Instant Messaging" \
title="aMSN" longtiltle="MSN clone"
EOF

mkdir -p %buildroot/%_iconsdir
cp -a amsn.png mini large %buildroot/%_iconsdir

%clean
%{__rm} -rf "${RPM_BUILD_ROOT}"

# Post Install
%post
%{update_menus}

# Tasks after Uninstall
%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc FAQ GNUGPL HELP README TODO
%{_bindir}/amsn
%dir %{_datadir}/amsn
%{_datadir}/amsn/*
%{_menudir}/*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/pixmaps/*

%changelog
* Mon Sep 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.93-1mdk
- from Miguel Hernandez <gar99@libertypr.net> :
	- new version

* Sun Jun 06 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-2mdk
- clean macro (s/_(.*)/$1/g)
- Fix source version
- Fix source url
 
* Thu Jun 03 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.92-1mdk 
- From neoclust <n1c0l4s.l3@wanadoo.fr>
    - new version

* Thu Jun 3 2004 neoclust <n1c0l4s.l3@wanadoo.fr> 0.91-2mdk
- using tls 1.5.0

* Thu May 20 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.91-1mdk
- new version

* Sat Nov 08 2003 Michael Scherer <scherer.michael@free.fr> 0.83-3mdk 
- BuildRequires ( tk )

* Fri Oct 31 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.83-2mdk
- Spec cleanup
- Use soundwrapper

* Thu Oct 23 2003 Michel St-Onge <mstonge@revolutionlinux.com> 0.83-1mdk
- new 0.83 version
- add tls plugin
- add icons

* Wed Nov 27 2002 Pascal Bleser <guru@unixtech.be> 0.71-1
- added BuildArch, set to noarch
- added french and german translations for summary and description
- added myself as the packager ;-)
- added patch to .desktop file to use full path to .png file out of amsn %_datadir
- many other changes and enhancements
- added define's at top of file for easier maintaining
- cleaned up %files section
- made more portable: SuSE autodetected and sets paths accordingly (KDE and GNOME)
- added _-macros
- revamped spec-file

* Thu Jun 27 2002  D.E. Grimaldo <lordofscripts AT users.sourceforge.net>
- Added update-menus to post/postun scripts (Manuel Amador)
- Updated file section

* Thu Jun 06 2002 D.E. Grimaldo <lordofscripts AT users.sourceforge.net>
- Created RPM spec file
